Package wx :: Class ColourData

[frames | no frames]

## Type ColourData

    object --+
             |
        Object --+
                 |
                ColourData

This class holds a variety of information related to the colour chooser dialog, used to transfer settings and results to and from the `wx.ColourDialog`.

Method Summary
ColourData | ``__init__`(self)` Constructor, sets default values.
| `__del__(self)`
bool | ``GetChooseFull`(self)` Under Windows, determines whether the Windows colour dialog will display the full dialog with custom colour selection controls.
Colour | ``GetColour`(self)` Gets the colour (pre)selected by the dialog.
Colour | ``GetCustomColour`(self, i)` Gets the i'th custom colour associated with the colour dialog.
| ``SetChooseFull`(self, flag)` Under Windows, tells the Windows colour dialog to display the full dialog with custom colour selection controls.
| ``SetColour`(self, colour)` Sets the default colour for the colour dialog.
| ``SetCustomColour`(self, i, colour)` Sets the i'th custom colour for the colour dialog.

Property Summary
| `ChooseFull`: See `GetChooseFull` and `SetChooseFull`
| `Colour`: See `GetColour` and `SetColour`
| `CustomColour`: See `GetCustomColour` and `SetCustomColour`
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

Constructor, sets default values.

  Returns:
    ColourData
  Overrides:
    `wx.Object.__init__`

### GetChooseFull(self)

Under Windows, determines whether the Windows colour dialog will display the full dialog with custom colour selection controls. Has no meaning under other platforms. The default value is true.

  Returns:
    bool

### GetColour(self)

Gets the colour (pre)selected by the dialog.

  Returns:
    Colour

### GetCustomColour(self, i)

Gets the i'th custom colour associated with the colour dialog. i should be an integer between 0 and 15. The default custom colours are all invalid colours.

  Parameters:
    `i`
    (type=int)

  Returns:
    Colour

### SetChooseFull(self, flag)

Under Windows, tells the Windows colour dialog to display the full dialog with custom colour selection controls. Under other platforms, has no effect. The default value is true.

  Parameters:
    `flag`
    (type=int)

### SetColour(self, colour)

Sets the default colour for the colour dialog. The default colour is black.

  Parameters:
    `colour`
    (type=Colour)

### SetCustomColour(self, i, colour)

Sets the i'th custom colour for the colour dialog. i should be an integer between 0 and 15. The default custom colours are all invalid colours.

  Parameters:
    `i`
    (type=int)

    `colour`
    (type=Colour)

Property Details

### ChooseFull

See `GetChooseFull` and `SetChooseFull`

  Get Method:
    `GetChooseFull`(self)
  Set Method:
    `SetChooseFull`(self, flag)

### Colour

See `GetColour` and `SetColour`

  Get Method:
    `GetColour`(self)
  Set Method:
    `SetColour`(self, colour)

### CustomColour

See `GetCustomColour` and `SetCustomColour`

  Get Method:
    `GetCustomColour`(self, i)
  Set Method:
    `SetCustomColour`(self, i, colour)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:57 2007 | http://epydoc.sf.net